/*
    2000 Microsoft Corporation. All rights reserved.
*/

var vidIsRunning = false;
var settingsIsOpen = false;


function OnOpenStateChange()
{
    if(player.openState == osMediaOpen)
    {
        UpdateMetadata();
        UpdateTrackNumber();
        vidIsRunning =
            (player.currentMedia.ImageSourceWidth>0);
        visEffects.visible = !vidIsRunning;
        bgVis.upToolTip = vidIsRunning ?
            xVidVis.value : xVidVis.toolTip;
        vidIsRunning ? StartVideo() : EndVideo();
    }
    else
    {
        metadata.scrolling = false;
        metadata.value = player.status;
    }
}

function OnPlayStateChange()
{
    if(player.playState == psStopped)
    {
        bgPause.enabled = true;
    }
}

function UpdateMetadata()
{
    var name = player.currentmedia.name;
    var artist =
        player.currentmedia.getiteminfo("author");
    if(name!="" && artist!="")
    {
        artist += xSep.toolTip;
    }
    artist += name;

    metadata.value = player.status;
    if(artist!="")
    {
        metadata.value += xSep.toolTip;
    }
    metadata.value += artist;

    metadata.scrolling =
        (metadata.textWidth>metadata.width);
}

function UpdateTrackNumber()
{
    var plCurrent = player.currentPlaylist;
    var trackNumber = -1;
    // Count up to correct index
    while( (++trackNumber<plCurrent.count) &&
        (!plCurrent.item(trackNumber).isIdentical(
            player.currentMedia)) );
    // Increment index to get track #;
    // reset to 0 if not found (should never happen)
    if(++trackNumber>plCurrent.count)
    {
        trackNumber = 0;
    }

    // Mod 1000, just in case...
    sHundreds.backgroundImage = "num" +
        Math.floor((trackNumber%1000)/100) + ".bmp";
    sTens.backgroundImage = "num" +
        Math.floor((trackNumber%100)/10) + ".bmp";
    sOnes.backgroundImage = "num" +
        trackNumber%10 + ".bmp";
}

function StartVideo()
{
    theme.openView("vVid");
    bgVis.tabStop = 
        bgVis.enabled = false;
    bVid.visible =
        bVid.tabStop =
        bVid.enabled = true;
}

function EndVideo()
{
    bgVis.tabStop = 
        bgVis.enabled = true;
    bVid.visible =
        bVid.tabStop =
        bVid.enabled = false;
}