/*
    2000 Microsoft Corporation. All rights reserved.
*/

// EQ/vid settings screen functions

var eqPane = '0';
var vidPane = '1';
var currentPane;

function OnLoadSettings()
{
    currentPane = theme.loadPreference("settings");
    if(currentPane!=vidPane)
    {
        currentPane = eqPane;
    }
    SetPane(currentPane);

    bgBypass.down = eq.bypass;
    RefreshEq();
    InitBal();
    InitBri();
    InitCon();
    InitHue();
    InitSat();
}

function OnCloseSettings()
{
    theme.savePreference("settings", currentPane);
}

function SetPane(newPane)
{
    sEq.visible =
        sPresets.visible =
        bgEq.down =
        bgBypass.enabled = (newPane==eqPane);
    sVid.visible =
        bgVid.down = (newPane==vidPane);
    currentPane = newPane;
}

function SetLevel(band, rawLevel)
{
    // Note that ("eq" + band + i) is the individual
    //  button element id
    for(var i=1; i<=13; i++)
    {
        eval("eq" + band + i + ".down=" + (i<=rawLevel));
    }
}

function SetEq(band, rawLevel)
{
    eval( "eq.gainLevel" + band + "=" +
        Math.round((rawLevel - 7) * 14 / 6) );
    SetLevel(band, rawLevel);
}

function RefreshEq()
{
    for(var i=1; i<=10; i++)
    {
        SetLevel(i, (eval("eq.gainLevel"+i) * 6 / 14 + 7));
    }
}

var balID;
var briID;
var conID;
var hueID;
var satID;

function SetBal(rawLevel)
{
    player.settings.balance = (rawLevel - 17) * 100 / 16;
    eval(balID + ".down=false;");
    balID = "bal" + rawLevel;
    eval(balID + ".down=true;");
}

function InitBal()
{
    balID = "bal" + Math.round(
        player.settings.balance / 100 * 16 + 17);
    eval(balID + ".down=true;");
}

function InitBri()
{
    briID = "bri" + Math.round(
        vs.brightness / 127 * 16 + 17);
    eval(briID + ".down=true;");
}

function InitCon()
{
    conID = "con" + Math.round(
        vs.contrast / 127 * 16 + 17);
    eval(conID + ".down=true;");
}

function InitHue()
{
    hueID = "hue" + Math.round(
        vs.hue / 127 * 16 + 17);
    eval(hueID + ".down=true;");
}

function InitSat()
{
    satID = "sat" + Math.round(
        vs.saturation / 127 * 16 + 17);
    eval(satID + ".down=true;");
}

function SetBri(rawLevel)
{
    vs.brightness = (rawLevel - 17) * 127 / 16;
    eval(briID + ".down=false;");
    briID = "bri" + rawLevel;
    eval(briID + ".down=true;");
}

function SetCon(rawLevel)
{
    vs.contrast = (rawLevel - 17) * 127 / 16;
    eval(conID + ".down=false;");
    conID = "con" + rawLevel;
    eval(conID + ".down=true;");
}

function SetHue(rawLevel)
{
    vs.hue = (rawLevel - 17) * 127 / 16;
    eval(hueID + ".down=false;");
    hueID = "hue" + rawLevel;
    eval(hueID + ".down=true;");
}

function SetSat(rawLevel)
{
    vs.saturation = (rawLevel - 17) * 127 / 16;
    eval(satID + ".down=false;");
    satID = "sat" + rawLevel;
    eval(satID + ".down=true;");
}

function RefreshVS()
{
    SetBri(vs.brightness / 127 * 16 + 17);
    SetCon(vs.contrast / 127 * 16 + 17);
    SetHue(vs.hue / 127 * 16 + 17);
    SetSat(vs.saturation / 127 * 16 + 17);
}

function Reset()
{
    if(currentPane==eqPane)
    {
        eq.reset();
        RefreshEq();
    }
    else
    {
        vs.reset();
        RefreshVS();
    }
}